# Uses of Interface
com.usatiuk.objects.iterators.CloseableKvIterator

Packages that use CloseableKvIterator
Package
Description
com.usatiuk.dhfs.jmap
com.usatiuk.objects.iterators
com.usatiuk.objects.snapshot
com.usatiuk.objects.transaction

## Uses of CloseableKvIterator in com.usatiuk.dhfs.jmap

Classes in com.usatiuk.dhfs.jmap that implement CloseableKvIterator
Modifier and Type
Class
Description
`class`
`JMapIterator<K extends JMapKey>`
Methods in com.usatiuk.dhfs.jmap that return CloseableKvIterator
Modifier and Type
Method
Description
`<K extends JMapKey>
CloseableKvIterator<K,JMapEntry<K>>`
JMapHelper.`getIterator(JMapHolder<K> holder)`
`<K extends JMapKey>
CloseableKvIterator<K,JMapEntry<K>>`
JMapHelper.`getIterator(JMapHolder<K> holder, IteratorStart start, K key)`
Constructors in com.usatiuk.dhfs.jmap with parameters of type CloseableKvIterator
Modifier
Constructor
Description
``
`JMapIterator(CloseableKvIterator<JObjectKey,JData> backing, JMapHolder<K> holder)`

## Uses of CloseableKvIterator in com.usatiuk.objects.iterators

Classes in com.usatiuk.objects.iterators that implement CloseableKvIterator
Modifier and Type
Class
Description
`class`
`KeyPredicateKvIterator<K extends Comparable<K>,V>`
`class`
`MappingKvIterator<K extends Comparable<K>,V,V_T>`
`class`
`MergingKvIterator<K extends Comparable<K>,V>`
`class`
`NavigableMapKvIterator<K extends Comparable<K>,V>`
`class`
`ReversedKvIterator<K extends Comparable<? super K>,V>`
`class`
`ReversibleKvIterator<K extends Comparable<K>,V>`
`class`
`TombstoneSkippingIterator<K extends Comparable<K>,V>`
Methods in com.usatiuk.objects.iterators that return CloseableKvIterator
Modifier and Type
Method
Description
`default CloseableKvIterator<K,V>`
CloseableKvIterator.`reversed()`
`CloseableKvIterator<K,V>`
ReversedKvIterator.`reversed()`
Constructors in com.usatiuk.objects.iterators with parameters of type CloseableKvIterator
Modifier
Constructor
Description
``
`KeyPredicateKvIterator(CloseableKvIterator<K,V> backing, IteratorStart start, K startKey, Function<K,Boolean> filter)`
``
`MappingKvIterator(CloseableKvIterator<K,V> backing, Function<V,V_T> transformer)`
``
`MergingKvIterator(IteratorStart startType, K startKey, CloseableKvIterator<K,V>... iterators)`
``
`ReversedKvIterator(CloseableKvIterator<K,V> backing)`
Constructor parameters in com.usatiuk.objects.iterators with type arguments of type CloseableKvIterator
Modifier
Constructor
Description
``
`MergingKvIterator(IteratorStart startType, K startKey, List<CloseableKvIterator<K,V>> iterators)`
``
`TombstoneSkippingIterator(IteratorStart start, K startKey, List<CloseableKvIterator<K,MaybeTombstone<V>>> iterators)`

## Uses of CloseableKvIterator in com.usatiuk.objects.snapshot

Methods in com.usatiuk.objects.snapshot that return types with arguments of type CloseableKvIterator
Modifier and Type
Method
Description
`List<CloseableKvIterator<K,MaybeTombstone<V>>>`
Snapshot.`getIterator(IteratorStart start, K key)`

## Uses of CloseableKvIterator in com.usatiuk.objects.transaction

Methods in com.usatiuk.objects.transaction that return CloseableKvIterator
Modifier and Type
Method
Description
`CloseableKvIterator<JObjectKey,JData>`
CurrentTransaction.`getIterator(IteratorStart start, JObjectKey key)`
`CloseableKvIterator<JObjectKey,JData>`
Transaction.`getIterator(IteratorStart start, JObjectKey key)`
`default CloseableKvIterator<JObjectKey,JData>`
Transaction.`getIterator(JObjectKey key)`